Aggregated Project Detail
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/project/detailimport requests
url = "https://api.asksurf.ai/gateway/v1/project/detail"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/project/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"contracts": {
"contracts": [
{
"address": "<string>",
"chain": "<string>",
"label": "<string>"
}
]
},
"funding": {
"rounds": [
{
"round_name": "<string>",
"amount": 123,
"date": "<string>",
"investors": [
{
"is_lead": true,
"name": "<string>",
"logo": "<string>",
"type": "<string>"
}
],
"valuation": 123
}
],
"total_raise": 123
},
"overview": {
"id": "<string>",
"name": "<string>",
"x_followers": 123,
"chains": [
"<string>"
],
"description": "<string>",
"exchanges": [
"<string>"
],
"logo_url": "<string>",
"slug": "<string>",
"tags": [
"<string>"
],
"tge_status": "<string>",
"token_symbol": "<string>",
"website": "<string>",
"x_handle": "<string>"
},
"social": {
"discord": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
},
"github": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
},
"telegram": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
},
"twitter": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
}
},
"team": {
"members": [
{
"name": "<string>",
"image": "<string>",
"role": "<string>",
"social_links": {}
}
]
},
"tge_status": {
"current_status": "<string>",
"exchanges": [
"<string>"
],
"last_event_time": 123
},
"token_info": {
"name": "<string>",
"symbol": "<string>",
"all_time_high": 123,
"all_time_low": 123,
"circulating_supply": 123,
"fdv": 123,
"high_24h": 123,
"image": "<string>",
"low_24h": 123,
"market_cap_usd": 123,
"price_change_24h": 123,
"price_change_30d": 123,
"price_change_7d": 123,
"price_usd": 123,
"total_supply": 123,
"volume_24h": 123
},
"tokenomics": {
"circulating_supply": 123,
"fdv": 123,
"market_cap_usd": 123,
"total_supply": 123
}
},
"meta": {
"cached": true,
"credits_used": 123
},
"$schema": "https://example.com/schemas/DataObjectResponseHumaProjectDetailBody.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Project
Project Detail
GET
/
gateway
/
v1
/
project
/
detail
Aggregated Project Detail
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/project/detailimport requests
url = "https://api.asksurf.ai/gateway/v1/project/detail"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/project/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"contracts": {
"contracts": [
{
"address": "<string>",
"chain": "<string>",
"label": "<string>"
}
]
},
"funding": {
"rounds": [
{
"round_name": "<string>",
"amount": 123,
"date": "<string>",
"investors": [
{
"is_lead": true,
"name": "<string>",
"logo": "<string>",
"type": "<string>"
}
],
"valuation": 123
}
],
"total_raise": 123
},
"overview": {
"id": "<string>",
"name": "<string>",
"x_followers": 123,
"chains": [
"<string>"
],
"description": "<string>",
"exchanges": [
"<string>"
],
"logo_url": "<string>",
"slug": "<string>",
"tags": [
"<string>"
],
"tge_status": "<string>",
"token_symbol": "<string>",
"website": "<string>",
"x_handle": "<string>"
},
"social": {
"discord": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
},
"github": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
},
"telegram": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
},
"twitter": {
"followers_count": 123,
"handle": "<string>",
"url": "<string>"
}
},
"team": {
"members": [
{
"name": "<string>",
"image": "<string>",
"role": "<string>",
"social_links": {}
}
]
},
"tge_status": {
"current_status": "<string>",
"exchanges": [
"<string>"
],
"last_event_time": 123
},
"token_info": {
"name": "<string>",
"symbol": "<string>",
"all_time_high": 123,
"all_time_low": 123,
"circulating_supply": 123,
"fdv": 123,
"high_24h": 123,
"image": "<string>",
"low_24h": 123,
"market_cap_usd": 123,
"price_change_24h": 123,
"price_change_30d": 123,
"price_change_7d": 123,
"price_usd": 123,
"total_supply": 123,
"volume_24h": 123
},
"tokenomics": {
"circulating_supply": 123,
"fdv": 123,
"market_cap_usd": 123,
"total_supply": 123
}
},
"meta": {
"cached": true,
"credits_used": 123
},
"$schema": "https://example.com/schemas/DataObjectResponseHumaProjectDetailBody.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Query Parameters
Surf project UUID. PREFERRED — always use this when available from a previous response (e.g. project_id from /fund/portfolio or id from /search/project). Takes priority over q.
Example:
"25c6612a-395c-4974-94eb-3b5f9f4b2ed7"
Fuzzy entity name search. Only use when 'id' is not available. May return unexpected results for ambiguous names.
Example:
"ethereum"
Comma-separated sub-resources to include. Can be overview, token_info, tokenomics, funding, team, contracts, social, or tge_status.
Example:
"overview,token_info,funding"